<script>

{*-- ここからjsでのデータ表示用 ---------------------------------------------------*}
let detail_data=[];
let new_data={};

function chkPageError() { {*表示中のページをチェック!*}
  var frm = $("#headerTop");
  var detail = $("#detail .detail");
  var errflg = false;

  common.clearFormError(detail);

  for(i = 0 ; i < detail.length ; i++) {
    var $me = $(detail[i]);
    if(!stringUtil.isEmpty($me.find(".scls1").val()) {*入力があるものだけチェックする*}
    || !stringUtil.isEmpty($me.find(".scls2").val())
    || !stringUtil.isEmpty($me.find(".scls3").val())
    || !stringUtil.isEmpty($me.find(".scls4").val())
    || !stringUtil.isEmpty($me.find(".scls5").val())
    || !stringUtil.isEmpty($me.find(".scls6").val())
    || !stringUtil.isEmpty($me.find(".scls7").val())
    || !stringUtil.isEmpty($me.find(".scls8").val())
    || !stringUtil.isEmpty($me.find(".scls9").val())
    || !stringUtil.isEmpty($me.find(".snum1").val())
    || !stringUtil.isEmpty($me.find(".snum2").val())
    || !stringUtil.isEmpty($me.find(".snum3").val())
    || !stringUtil.isEmpty($me.find(".nm").val())
    || !stringUtil.isEmpty($me.find(".nm2").val())
    || !stringUtil.isEmpty($me.find(".nm3").val())
    || !stringUtil.isEmpty($me.find(".nm4").val())
    ) {
      {*必須チェック*}
      
    }
  }
  return errflg;
}

function setArrayData(pgno) {
  var detail = $("#detail .detail");

  if(chkPageError()) { {*配列に格納する前に、妥当性チェック*}
    return false;
  } else {
    if(pgno == $("#lastpage").val()) { {*新規*}
      new_data = [];
      for(i = 0 ; i < detail.length ; i++) {
        let $me = $(detail[i]);
        var new_elem = {};
        var putflg = false;
        if(!stringUtil.isEmpty($me.find(".scls1").val()) {*入力があるものだけ配列に入れる*}
        || !stringUtil.isEmpty($me.find(".scls2").val())
        || !stringUtil.isEmpty($me.find(".scls3").val())
        || !stringUtil.isEmpty($me.find(".scls4").val())
        || !stringUtil.isEmpty($me.find(".scls5").val())
        || !stringUtil.isEmpty($me.find(".scls6").val())
        || !stringUtil.isEmpty($me.find(".scls7").val())
        || !stringUtil.isEmpty($me.find(".scls8").val())
        || !stringUtil.isEmpty($me.find(".scls9").val())
        || !stringUtil.isEmpty($me.find(".snum1").val())
        || !stringUtil.isEmpty($me.find(".snum2").val())
        || !stringUtil.isEmpty($me.find(".snum3").val())
        || !stringUtil.isEmpty($me.find(".nm").val())
        || !stringUtil.isEmpty($me.find(".nm2").val())
        || !stringUtil.isEmpty($me.find(".nm3").val())
        || !stringUtil.isEmpty($me.find(".nm4").val())
        ) {
          putflg = true;
          $me.find("input, select").each(function (index) {
            var inputnm = $(this).attr("name");
            new_elem[inputnm] = common.getValue($(this));
          });
          new_elem["pgno"] = $("#lastpage").val();
          if(putflg) {
            new_data.push(new_elem);
          }
        }
      }
    } else { {*既存更新*}
      for(i = 0 ; i < detail.length ; i++) {
        let $me = $(detail[i]);
        var rnum = Number($me.find(".rnum").val())-1;
        $me.find("input, select").each(function (index) {
          var inputnm = $(this).attr("name");
          if(i == 0) {
          }
          detail_data[rnum][inputnm] = common.getValue($(this));
        });
      }
    }

    return true;
  }
}
function dsp_detail(p_pgno) {
  $("#detail .detail").remove();

  var frm = $("#headerTop");
  var el = "";

  if(p_pgno == $("#lastpage").val()) { {*最終ページは新規用ページ*}
    common.setValue(frm.find(".modelbl"), "新規");
    var ret_len = new_data.length;
    for (var i = 0; i < ret_len; i++) {
      el += af990x_detail.appendRow(new_data[i]);
    }
  } else {
    common.setValue(frm.find(".modelbl"), "修正");
    var ret_len = detail_data.length;
    for (var i = 0; i < ret_len; i++) { {*既存データページを表示*}
      if (Number(detail_data[i].pgno) == Number(p_pgno)) {
        el += af990x_detail.appendRow(detail_data[i]);
      }
    }
  }

  $("#detail").append(el);

  if(p_pgno == $("#lastpage").val()) { {*最終ページは新規用ページ*}
    if($("#detail .detail").length == '0'){
      setOneRow(); {*最初の１行を表示*}
      doHeaderEnable('D');

    } else {
      $("#lastDetail").focus(); {*１行追加*}
    }
  } else {
    doHeaderEnable('D');
  }

  var detail = $("#detail .detail");
  
  for(i = 0 ; i < detail.length ; i++) {
    var $me = $(detail[i]);

    $me.find("select").each(function(index) {
      var $selectVal = $(this);
      common.setValue($selectVal,common.getValue($me.find(".memo"+$selectVal.attr("name"))));
    });

  }

  $("#detail .detail").first().find(".keycd").focus();
}

function doHeaderEnable(pmode) { {*pmode:H Header有効・D 明細有効*}
let h = $("#headerTop");
  let h1 = h.find(".header1");
  let h2 = h.find(".header2");
  let d = $("#detailTop");
  let m = $("#funcMenu");
  let mode = h.find(".mode").val();
  if (pmode == "H") { {*Header有効*}
    h.removeClass("noevent");
    d.addClass("noevent");

    $(".Func2").removeClass("noevent");
    $(".Func3").addClass("noevent");
    $(".Func4").addClass("noevent");
    $(".Func5").addClass("noevent");
    $(".Func9").addClass("noevent");
    $(".Func12").removeClass("noevent");

    {*ヘッダー項目クリア*}
    h.find(".modelbl").removeClass("newLabel");
    h.find(".keycd")[0].focus();
  } else {
    h.addClass("noevent");
    d.removeClass("noevent");
    $(".Func2").addClass("noevent");
    $(".Func3").removeClass("noevent");
    $(".Func4").removeClass("noevent");
    $(".Func5").removeClass("noevent");
    $(".Func9").removeClass("noevent");
    $(".Func12").removeClass("noevent");


    {*ヘッダー項目*}
    h.find(".modelbl").addClass("newLabel");
    {*データ部フォーカス*}
    d.find(".keycd")[0].focus();
  }
}

function clearHeader() {  {*headerクリア*}
  let frm = $("#headerTop");
  let container = frm.closest(".container");
  doHeaderEnable("H");
  common.clearInputData(container);
  $('[name=mode]').prop("selectedIndex", 0);
  $('[name=mode]').trigger("change");
}

var init_data={
  vlin:'1',
};

function clearDetail() {  {*明細クリア*}
  common.clearAllError();
  $("#detail .detail").remove();
  $("#lastDetail").show();
}

function setOneRow() {
  clearDetail();  {*一旦クリア*}
  {*明細に最初の一行追加*}
  var el = af990x_detail.appendRow(init_data);
  $("#detail").append(el);
  var detail = $("#detail").find(".detail");
  
  detail.find(".popbtn").each(function (index) {
    common.setValue($(this),"?");
  });

}

function chgDetail(pgno) {  {*明細表表示・非表示*}
  let wpgno = "pgno" + pgno;

  dsp_detail(pgno);

  if (common.getValue($("#pagecnt")) == common.getValue($("#lastpage"))) { {*次頁なし*}
    $("#funcMenu").find(".Func7").addClass("noevent");
  } else {
    $("#funcMenu").find(".Func7").removeClass("noevent");
  }
  if (common.getValue($("#pagecnt")) == "1") { {*前頁なし*}
    $("#funcMenu").find(".Func8").addClass("noevent");
  } else {
    $("#funcMenu").find(".Func8").removeClass("noevent");
  }

}

function dspDetail() { {*データ表示*}
let frm = $("#headerTop");
  let detail = $("#detail").find(".detail");

  clearDetail();  {*一旦クリア*}

  {*明細行配列クリア*}
  detail_data.splice(0);

  {if $header.ret == "0"}
    {*配列作成*}
    detail_data = {$dataList};

    {*行作成*}
    dsp_detail(1);

    doHeaderEnable("D")
    {*頁情報*}
    chgDetail("1");

  {else if $header.ret == "new"}
    setOneRow();
    doHeaderEnable("H")
  {else if $header.ret == "1"}
    dsp_detail("1");
    doHeaderEnable("D")
    {*頁情報*}
    chgDetail("1");
    common.setValue($("#pagecnt"), "1");
    common.setValue($("#lastpage"), "1");
    //setOneRow();
    //doHeaderEnable("D")
    common.setValue(frm.find(".modelbl"), "新規");
    {*頁情報*}
  {else}
    setOneRow();
    doHeaderEnable("H")
    {if $hasError eq true}
      alert("{$errorMsg}")
    {/if}
  {/if}

}

{*明細行用関数*}
var af990x_detail = {
  appendRow: function (d) {
    let frm = $("#headerTop");
    let mode = common.getValue(frm.find(".mode"));
    var n = stringUtil.nvl;
    var row =
    ' <div class="col wp-100 detail"> ' +
    '<div class="col wp-100 rowinfo detailMain">' +
    '  <div class="col wp-100"> ' +
    '    <input name="scls1" type="text" class="form-control input-sm item wd-SS scls1 keycd"  maxlength="5" value="' + n(d.scls1) + '"> '+
    '    <input name="scls2" type="text" class="form-control input-sm item wd-040 scls2" maxlength="3" value="' + n(d.scls2) + '"> '+
    '    <input name="scls3" type="text" class="form-control input-sm item wd-040 scls3" maxlength="3" value="' + n(d.scls3) + '"> '+
    '    <input name="scls4" type="text" class="form-control input-sm item wd-kbn scls4" maxlength="2" value="' + n(d.scls4) + '"> '+
    '    <input name="scls5" type="text" class="form-control input-sm item wd-kbn scls5" maxlength="2" value="' + n(d.scls5) + '"> '+
    '    <input name="scls6" type="text" class="form-control input-sm item wd-020 scls6" maxlength="1" value="' + n(d.scls6) + '"> '+
    '    <input name="scls7" type="text" class="form-control input-sm item wd-020 scls7" maxlength="1" value="' + n(d.scls7) + '"> '+
    '    <input name="scls8" type="text" class="form-control input-sm item wd-020 scls8" maxlength="1" value="' + n(d.scls8) + '"> '+
    '    <input name="scls9" type="text" class="form-control input-sm item wd-040 scls9" maxlength="3" value="' + n(d.scls9) + '"> '+
    '    <input name="snum1" type="text" class="form-control input-sm item wd-060 snum1 number" maxlength="5" nocomma="1" value="' + n(d.snum1) + '"> '+
    '    <input name="snum2" type="text" class="form-control input-sm item wd-060 snum2 number" maxlength="5" nocomma="1" value="' + n(d.snum2) + '"> '+
    '    <input name="snum3" type="text" class="form-control input-sm item wd-S snum3 number" maxlength="8" fixed="2" nocomma="1" value="' + n(d.snum3) + '"> '+
    '    <input name="nm" type="text" class="form-control input-sm item wd-160 nm" maxlength="40" value="' + n(d.nm) + '"> '+
    '    <input name="nm2" type="text" class="form-control input-sm item wd-160 nm2" maxlength="40" value="' + n(d.nm2) + '"> '+
    '    <input name="nm3" type="text" class="form-control input-sm item wd-140 nm3" maxlength="20" value="' + n(d.nm3) + '"> '+
    '    <input name="nm4" type="text" class="form-control input-sm item wd-140 nm4" maxlength="20" value="' + n(d.nm4) + '"> '+
    '    <input name="chkLineDel"  type="checkbox" class="form-control item input-sm wd-kbn chkLineDel" value="1" tabindex="-1"/>' +
    {*非表示項目*}
    '    <input name="rnum" type="hidden" class="rnum" value="' + n(d.rnum) + '"/>' +
    '    <input name="cls" type="hidden" class="cls" value="' + n(d.cls) + '"/>' +
    '    <input name="orgScls1" type="hidden" class="orgScls1 keyItem forDeleteData" value="' + n(d.scls1) + '"/>' +
    '    <input name="orgScls2" type="hidden" class="orgScls2 keyItem forDeleteData" value="' + n(d.scls2) + '"/>' +
    '    <input name="orgScls3" type="hidden" class="orgScls3 keyItem forDeleteData" value="' + n(d.scls3) + '"/>' +
    '    <input name="orgScls4" type="hidden" class="orgScls4 keyItem forDeleteData" value="' + n(d.scls4) + '"/>' +
    '    <input name="orgScls5" type="hidden" class="orgScls5 keyItem forDeleteData" value="' + n(d.scls5) + '"/>' +
    '    <input name="orgScls6" type="hidden" class="orgScls6 keyItem forDeleteData" value="' + n(d.scls6) + '"/>' +
    '    <input name="orgScls7" type="hidden" class="orgScls7 keyItem forDeleteData" value="' + n(d.scls7) + '"/>' +
    '    <input name="orgScls8" type="hidden" class="orgScls8 keyItem forDeleteData" value="' + n(d.scls8) + '"/>' +
    '    <input name="orgScls9" type="hidden" class="orgScls9 keyItem forDeleteData" value="' + n(d.scls9) + '"/>' +
    '    <input name="orgSnum1" type="hidden" class="orgSnum1 keyItem forDeleteData" value="' + n(d.snum1) + '"/>' +
    '    <input name="orgSnum2" type="hidden" class="orgSnum2 keyItem forDeleteData" value="' + n(d.snum2) + '"/>' +
    '    <input name="orgSnum3" type="hidden" class="orgSnum3 keyItem forDeleteData" value="' + n(d.snum3) + '"/>' +
    '    <input name="orgNm" type="hidden" class="orgNm keyItem forDeleteData" value="' + n(d.nm) + '"/>' +
    '    <input name="orgNm2" type="hidden" class="orgNm2 keyItem forDeleteData" value="' + n(d.nm2) + '"/>' +
    '    <input name="orgNm3" type="hidden" class="orgNm3 keyItem forDeleteData" value="' + n(d.nm3) + '"/>' +
    '    <input name="orgNm4" type="hidden" class="orgNm4 keyItem forDeleteData" value="' + n(d.nm4) + '"/>' +
    '  </div>' +
    '</div>' +
    '<hr>' +
    ' </div> ';
    return row;
  },
}


{*-- ここまでjsでのデータ表示用 ---------------------------------------------------*}
  function setNewLineData($me) {
    let frm = $("#headerTop");
    let mode = common.getValue(frm.find(".mode"));
    let detail = $me.closest(".contents").find(".detail.selectRow");

    detail.find(".popbtn").each(function (index) {
      common.setValue($(this),"?");
    });

    detail.find(".chkLineDel").prop('disabled', false);
    detail.find(".scls1").focus();
  }

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    common.setDetailHeight( $("#detail") );

    common.removeLoading();
    dspDetail();  {*明細表示*}

    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
      $(".btn-search-before").trigger("click");
    });
    //　F3 行挿入
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
      if($("#pagecnt").val() == $("#lastpage").val()) { {*最終ページ(新規用ページ)なら、行インサート*}
        $(".btnLineIns").trigger("click");
      } else { {*最終ページ(新規用ページ)でないなら、最終ページ(新規用ページ)にとぶ*}
        if(setArrayData($("#pagecnt").val())) { {*現在ページの変更を配列に記憶*}
          common.setValue($("#pagecnt"),$("#lastpage").val()); 
          chgDetail($("#lastpage").val());
        } else {
          alert("エラーがあります");
        }
      }
    });
    //　F4 行削除
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
      $(".btn-del").trigger("click");
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
      clearHeader();
      setOneRow();
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7 次頁
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
      if(setArrayData($("#pagecnt").val())) { {*現在ページの変更を配列に記憶*}
        let pgcnt = 0;
        if (stringUtil.isEmpty(common.getValue($("#pagecnt")))) {
          pgcnt = 1;
        } else {
          pgcnt = Number(common.getValue($("#pagecnt"))) + 1;
        }
        common.setValue($("#pagecnt"),pgcnt); //最初は1ページ
        chgDetail(String(pgcnt));
      } else {
        alert("エラーがあります");
      }      
    });
    //　F8 前頁
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
      if(setArrayData($("#pagecnt").val())) { {*現在ページの変更を配列に記憶*}
        let pgcnt = 0;
        if (stringUtil.isEmpty(common.getValue($("#pagecnt")))) {
          pgcnt = 1;
        } else {
          pgcnt = Number(common.getValue($("#pagecnt"))) - 1;
        }
        common.setValue($("#pagecnt"),pgcnt); {*最初は1ページ*}
        chgDetail(String(pgcnt));
      } else {
        alert("エラーがあります");
      }
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
      $(".btn-reg-before").trigger("click");
    });
    //　F10 Excel
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
      $(".popup-af90m").trigger("click");
    });
    //　F11 表示
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click');
    });

    //操作可/不可ボタン
    //doHeaderEnable("H");

    //=== header ===


    //MENUボタン===============================
    $(document).on("regSuccess", ".btn-reg", function(e,option){
      if(option.updRet) {
        setOneRow();
        clearHeader();
        alert("登録しました");
        {if $mode eq "9"}
        open('about:blank', '_self').close();
        {else}
        location.replace("./");
        {/if}
      } else {
        alert("同一区分1～4の登録は出来ません。");
        let header = $("form.header");
        var form = header.closest(".container").find("form.body");
        var forms = form.find(".detail");
        var formData = [];
        //エラー部分にフォーカス
        for (var i = 0; i < forms.length; i++) {
          if ( $(forms[i]).find(".scls1").val() == option.dupliScls1
            && $(forms[i]).find(".scls2").val() == option.dupliScls2
            && $(forms[i]).find(".scls3").val() == option.dupliScls3
            && $(forms[i]).find(".scls4").val() == option.dupliScls4
            && $(forms[i]).find(".orgScls1").val() == option.orgScls1
            && $(forms[i]).find(".orgScls2").val() == option.orgScls2
            && $(forms[i]).find(".orgScls3").val() == option.orgScls3
            && $(forms[i]).find(".orgScls4").val() == option.orgScls4) {
            $(forms[i]).find(".scls1").focus();
          }
        }
      }
    });

   $(document).on("click", ".btn-search-before", function(e) {
    $(".Func2").addClass("noevent");

    var errflg = false;
    var frm = $(this).closest(".contents").find(".header");
    var mode = common.getValue(frm.find(".mode"));
    common.clearFormError(frm);

      let $cls = frm.find(".cls");
      if (stringUtil.isEmpty($cls.val())) {
        errflg = true;
        common.addError( $cls, "区分を選択して下さい。", null, true);
      }

      if(common.getValue($cls)=='5') {
        if(stringUtil.isEmpty(common.getValue(frm.find(".bknm"))) && stringUtil.isEmpty(common.getValue(frm.find(".bksnm")))) {
          common.addError( frm.find(".bknm"), "銀行名か支店名のどちらかを入力して下さい。", null, true);
          common.addError( frm.find(".bksnm"), "銀行名か支店名のどちらかを入力して下さい。", null, true);
          errflg = true;
        }
      }

      if (errflg) {
         alert('エラーがあります');
         $(".Func2").removeClass("noevent");
      } else {
        common.dispLoading();
        $("#pagecnt").val("1");
        $(".btn-search").trigger("click");
      }
    });

    $(document).on("click", ".btn-reg-before", function(e) {
      var detail = $("#detail .detail");
      var frmh = $(this).closest(".contents").find(".header");
      var mode = common.getValue(frmh.find(".mode"));
      var errflg = false;
      var wret;

      if(setArrayData($("#pagecnt").val())) { {*現在ページの変更を配列に記憶 ついでに必須チェックも行っている。*}

        //重複チェック
        var detail = $("#detail .detail");
        var errflg = false;
        detail.each(function(e){
          if(errflg) {
            return false;
          }
          var div = $(this);
          //削除行と空欄行はチェック対象外
          if(!div.find(".chkLineDel").prop("checked") && !(stringUtil.isEmpty(div.find(".scls1").val()))){
            var joken1 = div.find(".scls1");
            var joken2 = div.find(".scls2");
            var joken3 = div.find(".scls3");
            var joken4 = div.find(".scls4");
            detail.each(function(e){
              var div2 = $(this);
              var joken1_2 = div2.find(".scls1");
              var joken2_2 = div2.find(".scls2");
              var joken3_2 = div2.find(".scls3");
              var joken4_2 = div2.find(".scls4");
              //削除行と空欄行はチェック対象外
              if(!div.find(".chkLineDel").prop("checked") && !(stringUtil.isEmpty(div.find(".scls1").val()))){
                if(div.attr("id") != div2.attr("id")){
                  if(joken1.val() == joken1_2.val() && joken2.val() == joken2_2.val() && joken3.val() == joken3_2.val() && joken4.val() == joken4_2.val() ){
                    errflg = true;
                    joken1_2.focus();
                    return false;
                  }
                }
              }
            });
          }
        });

        if(errflg) {
          alert("重複しています")
        } else {

          let frm = $("#headerTop");
          let detail = $("#detail .detail");
          let datacnt = detail.length;

          var headerData = [];
          var f = common.getInputData(frm);
          headerData.push(encodeJson(f));

          var detailData = [];
          let cnt = 0;
          for (var i = 0; i < datacnt; i++) {
            $me = $(detail[i]);
            if(!$me.find(".chkLineDel").prop("checked") && !(stringUtil.isEmpty($me.find(".scls1").val()))){ {*削除と空白は対象外*}
              if($me.find(".scls1").val() != $me.find(".orgScls1").val() || $me.find(".scls2").val() != $me.find(".orgScls2").val() || {*変更有*}
              $me.find(".scls2").val() != $me.find(".orgScls2").val() || $me.find(".scls2").val() != $me.find(".orgScls2").val()) {
                var detailList = common.getInputData($me);
                detailData.push(encodeJson(detailList));
                cnt = cnt + 1;
              }
            }
          }

          if(cnt != 0) {
            var sendData = {};
            sendData["header"] = headerData;
            sendData["data"] = detailData;

            common.postData(
                "./chkRegBefore.php"
              , sendData
              , function (data) {
                // 特殊処理があれば
                var obj = JSON.parse(data);
                var ret = obj.ret;
                if(ret != '0') {
                  alert("既存データと重複しています");
                  let header = $("form.header");
                  var form = header.closest(".container").find("form.body");
                  var forms = form.find(".detail");
                  var formData = [];
                  //エラー部分にフォーカス
                  for (var i = 0; i < forms.length; i++) {
                    if ( $(forms[i]).find(".scls1").val() == obj.dupliScls1
                      && $(forms[i]).find(".scls2").val() == obj.dupliScls2
                      && $(forms[i]).find(".scls3").val() == obj.dupliScls3
                      && $(forms[i]).find(".scls4").val() == obj.dupliScls4
                      && $(forms[i]).find(".orgScls1").val() == obj.orgScls1
                      && $(forms[i]).find(".orgScls2").val() == obj.orgScls2
                      && $(forms[i]).find(".orgScls3").val() == obj.orgScls3
                      && $(forms[i]).find(".orgScls4").val() == obj.orgScls4) {
                      $(forms[i]).find(".scls1").focus();
                      return false;
                    }
                  }
                } else {
                  $(".headermenu").find(".btn-reg").trigger("click");
                }
              }
              , function (error) {
                alert(error.msg);
              }
            );
          } else {
            $(".headermenu").find(".btn-reg").trigger("click");
          }
        
        }
      }
    });

    //=== header ===
    $(document).on("focus", ".dummy", function(e) {
      $("#topmenu").find(".Func2").focus();
    });

    //銀行が選択されている時だけ、銀行名と支店名
    $(document).on("change",".cls",function(e) {
      if(common.getValue($("form.header").find(".cls"))=='5') {
        $("#bank").show();
      } else {
        $("#bank").hide();
        common.setValue($("form.header").find(".bknm"),"");
        common.setValue($("form.header").find(".bksnm"),"");
      }
    });
    if(common.getValue($("form.header").find(".cls"))!='5') {
      $("#bank").hide();
    }

    //銀行名か支店名どちらかを入力されたら、エラー削除
    $(document).on("change",".bknm, .bksnm", function(e) {
      var me = $(this);
      if(!stringUtil.isEmpty(common.getValue(me))) {
        common.clearError($("form.header").find(".bknm"));
        common.clearError($("form.header").find(".bksnm"));
      }
    });
    //=== body ===

    //====明細行動作======
    $(document).on("insertLine", ".selectRow", function(e) {
      setNewLineData($(this));
    });
    $("#lastDetail").focus(function(){
      {*
      var details = $("#detailTop .detail:last")[0];
      if(!!!details){
        return true;
      }
      var newRow = commonLine.insertDetail(details);
      common.setDetailHeight();
      $(newRow).find(":enabled")[0].focus();
      $(window).scrollTop($(newRow).parent().offset().top);
      setNewLineData($(newRow));
      *}
    });


    //=== footer ===

    // 初回フォーカス
    var form = $("#detailTop");
    if((form.hasClass("noevent"))){
      $(".header").find(".cls").focus();
    }else{
      var tknm = $("#detail").find(".scls1")[0];
      tknm.focus();
    }

  });

</script>
